Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class FlagText

    java.lang.Object
      com.compoze.exchange.FlagText

All Implemented Interfaces:
  java.io.Serializable

public class FlagText
extends java.lang.Object
implements java.io.Serializable

This class implements the flag text. Flag text is used to designate a message for follow-up, response necessary, etc. Use the constructor to create custom flag text.

See Also:
  Serialized Form

Field Summary
`static FlagText` | `FOLLOW_UP` This value represents the 'follow up' flag text.
`static FlagText` | `FOR_YOUR_INFORMATION` This value represents the 'for your information' flag text.
`static FlagText` | `FORWARD` This value represents the 'forward' flag text.
`static FlagText` | `NO_RESPONSE_NECESSARY` This value represents the 'no response necessary' flag text.
`static FlagText` | `READ` This value represents the 'read' flag text.
`static FlagText` | `REPLY` This value represents the 'reply' flag text.
`static FlagText` | `REPLY_TO_ALL` This value represents the 'reply to all' flag text.
`static FlagText` | `REVIEW` This value represents the 'review' flag text.

Method Summary
`boolean` | `equals(java.lang.Object o)` Indicates whether some other `FlagText` object is "equal to" this one.
`static java.util.List` | `getList()` Gets the flag by the store value.
`java.lang.String` | `getText()` Gets the text using the system default locale.
`java.lang.String` | `getText(java.util.Locale locale)` Gets the text using the specified locale.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FOLLOW_UP

    public static final FlagText FOLLOW_UP

  This value represents the 'follow up' flag text.

### FOR_YOUR_INFORMATION

    public static final FlagText FOR_YOUR_INFORMATION

  This value represents the 'for your information' flag text.

### FORWARD

    public static final FlagText FORWARD

  This value represents the 'forward' flag text.

### NO_RESPONSE_NECESSARY

    public static final FlagText NO_RESPONSE_NECESSARY

  This value represents the 'no response necessary' flag text.

### READ

    public static final FlagText READ

  This value represents the 'read' flag text.

### REPLY

    public static final FlagText REPLY

  This value represents the 'reply' flag text.

### REPLY_TO_ALL

    public static final FlagText REPLY_TO_ALL

  This value represents the 'reply to all' flag text.

### REVIEW

    public static final FlagText REVIEW

  This value represents the 'review' flag text.

Method Detail

### getText

    public java.lang.String getText()

  Gets the text using the system default locale.

  Returns:
    the text for the flag

### getText

    public java.lang.String getText(java.util.Locale locale)

  Gets the text using the specified locale. If this is a custom flag, the locale is ignored.

  Parameters:
    `locale` - the locale
  Returns:
    the text for the flag

### getList

    public static java.util.List getList()

  Gets the flag by the store value.

  Returns:
    the matching flag text or `null` if not found

### equals

    public boolean equals(java.lang.Object o)

  Indicates whether some other `FlagText` object is "equal to" this one. The store value is used to determine equality.

  Returns:
    if `true`, this object is the same as the obj argument; `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.

  Parameters:
    `locale` - the locale to use
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.